#
# Conditional build:
%bcond_without	docs		# Don't build man page (requires go arch)
#
%ifarch x32
%undefine	with_docs
%endif
Summary:	OCI container runtime monitor
Name:		conmon
Version:	2.1.10
Release:	1
License:	Apache v2.0
Group:		Applications/System
#Source0Download: https://github.com/containers/conmon/releases
Source0:	https://github.com/containers/conmon/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	ecbec90ad0870e12de7adbb53416f383
URL:		https://github.com/containers/conmon
BuildRequires:	glib2-devel
%{?with_docs:BuildRequires:	go-md2man}
BuildRequires:	libseccomp-devel >= 2.5.2
BuildRequires:	pkgconfig
BuildRequires:	systemd-devel
Requires:	libseccomp >= 2.5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conmon is a monitoring program and communication tool between a
container manager (like Podman or CRI-O) and an OCI runtime (like runc
or crun) for a single container.

%prep
%setup -q

%{__rm} -r tools/vendor

%build
# prevent build of go-md2man
install -d tools/build
: > tools/build/go-md2man
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags}" \
	LDLAGS="%{rpmldflags}" \

%if %{with docs}
%{__make} docs \
	GOMD2MAN=/usr/bin/go-md2man
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install.bin \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	BINDIR=%{_bindir} \
	LIBEXECDIR=%{_libexecdir}

%if %{with docs}
%{__make} -C docs install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	BINDIR=%{_bindir} \
	LIBEXECDIR=%{_libexecdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md  changelog.txt
%attr(755,root,root) %{_bindir}/conmon
%{?with_docs:%{_mandir}/man8/conmon.8*}
%changelog
* Mon Dec 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/conmon.git;a=log;h=master

* Mon Dec 18 2023 Jan Palus <atler@pld-linux.org> 58e1161
- up to 2.1.10

* Sat Dec 16 2023 Jan Palus <atler@pld-linux.org> e4550ae
- upstream fix for crashes in version 2.1.9; rel 2

* Thu Dec 14 2023 Jan Palus <atler@pld-linux.org> 1e172ca
- up to 2.1.9

* Fri Sep 08 2023 Jan Rękorajski <baggins@pld-linux.org> 0aad696
- added docs bcond, rel 2

* Thu Aug 24 2023 Jan Palus <atler@pld-linux.org> 7271961
- up to 2.1.8

* Tue Feb 28 2023 Jan Palus <atler@pld-linux.org> 2368243
- up to 2.1.7

* Mon Feb 06 2023 Jan Palus <atler@pld-linux.org> da08aaf
- up to 2.1.6

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> 4ec3634
- up to 2.1.5

* Mon Aug 29 2022 Jan Palus <atler@pld-linux.org> e4e8da9
- up to 2.1.4

* Tue Jul 26 2022 Jan Palus <atler@pld-linux.org> 3054352
- up to 2.1.3

* Tue Jun 14 2022 Jan Palus <atler@pld-linux.org> 4afa1f7
- up to 2.1.2

* Mon May 23 2022 Jan Palus <atler@pld-linux.org> 8201725
- up to 2.1.1

* Mon Jan 24 2022 Jan Palus <atler@pld-linux.org> ad85a51
- up to 2.1.0

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> 7e44a53
- up to 2.0.31

* Thu Sep 30 2021 Jan Palus <atler@pld-linux.org> 4e3ace0
- use system go-md2man

* Thu Sep 30 2021 Jan Palus <atler@pld-linux.org> 4f62348
- up to 2.0.30

* Sat Jun 05 2021 Jan Palus <atler@pld-linux.org> d747096
- up to 2.0.29

* Fri May 21 2021 Jan Palus <atler@pld-linux.org> 89923db
- up to 2.0.28

* Thu Mar 04 2021 Jan Palus <atler@pld-linux.org> 4400995
- up to 2.0.26

* Fri Dec 04 2020 Jan Palus <atler@pld-linux.org> 2fdf82b
- up to 2.0.21

